- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
eina_alloca.h File Reference

simplifies usage of alloca() by including the proper file depending on the platform. More...

## Functions
void * | alloca (long)
| Allocates memory in the stack frame of the caller, so it's automatically freed when the caller returns. More...

## Detailed Description

simplifies usage of alloca() by including the proper file depending on the platform.

## Function Documentation

void* alloca | ( | long |  | ) |

Allocates memory in the stack frame of the caller, so it's automatically freed when the caller returns.

See alloca(3) for detials.

Referenced by ecore_con_eet_raw_send(), ecore_x_e_window_available_profiles_set(), ecore_x_e_window_profile_list_set(), eet_clearcache(), eet_identity_certificate_print(), eet_shutdown(), efreet_desktop_string_list_parse(), efreet_icon_deprecated_user_dir_get(), efreet_icon_user_dir_get(), efreet_menu_dump(), efreet_mime_globs_type_get(), efreet_util_path_to_file_id(), eina_benchmark_run(), eina_file_current_directory_get(), eina_inarray_reverse(), eina_module_find(), eina_prefix_new(), and eina_simple_xml_attributes_parse().